use test;
drop table if exists t1;
drop event if exists runonce;
create table t1 (c char(30), ts timestamp);
insert into t1 values ('manually', null);

create event runonce on schedule at now() + interval 3 second 
    on completion preserve
    do insert into t1 (c) values ('from runonce');

select sleep(5);

select * from t1;
show events;
