#!/bin/bash
#    The MySQL Sandbox
#    Copyright (C) 2006 Giuseppe Maxia, Stardata s.r.l.
#    Contacts: http://datacharmer.com
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
BASEDIR='/usr/local/mysql'
MYSQLD_SAFE='/usr/local/mysql/bin/mysqld_safe'
PIDFILE="/home/gmax/repl//master/data/mysql_sandbox5115.pid"
if [ -f $PIDFILE ]
then
    echo "sandbox server already started (found pid file $PIDFILE)"
else
    CURDIR=`pwd`
    cd $BASEDIR
    $MYSQLD_SAFE --defaults-file=/home/gmax/repl//master/my.sandbox.cnf > /dev/null 2>&1 &
    cd $CURDIR
    sleep 3
    if [ -f $PIDFILE ]
    then
        echo "sandbox server started"
    else
        echo "sandbox server not started yet"
    fi
fi

PIDFILE="/home/gmax/repl//master/data/mysql_sandbox5115.pid"
if [ -f $PIDFILE ]
then
    echo "sandbox server started"
else
    echo "sandbox server not started yet"
fi

